summaryrefslogtreecommitdiffstats
path: root/perl/perl-Term-ReadLine-Gnu
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-Term-ReadLine-Gnu')
-rw-r--r--perl/perl-Term-ReadLine-Gnu/README8
-rw-r--r--perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.SlackBuild50
-rw-r--r--perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.info10
-rw-r--r--perl/perl-Term-ReadLine-Gnu/slack-desc8
4 files changed, 34 insertions, 42 deletions
diff --git a/perl/perl-Term-ReadLine-Gnu/README b/perl/perl-Term-ReadLine-Gnu/README
index 51e39edc10..386b599a88 100644
--- a/perl/perl-Term-ReadLine-Gnu/README
+++ b/perl/perl-Term-ReadLine-Gnu/README
@@ -1,5 +1,7 @@
-Term::ReadLine::Gnu provides functions for use by interactive programs
-that allow users to edit command lines as they are typed in. The
-module includes additional functions to maintain a list of
+perl-Term-ReadLine-Gnu (line-editing and history capabilities)
+
+Term::ReadLine::Gnu provides functions for use by interactive Perl
+programs that allow users to edit command lines as they are typed
+in. The module includes additional functions to maintain a list of
previously-entered command lines, to recall and perhaps reedit those
lines.
diff --git a/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.SlackBuild b/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.SlackBuild
index b5a934d8d1..6ea1dfae12 100644
--- a/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.SlackBuild
+++ b/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-Term-ReadLine-Gnu
-# Copyright 2013-2020 Andreas Voegele <andreas@andreasvoegele.com>
+# Copyright 2013-2020 Andreas Voegele <email removed>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
@@ -16,10 +16,16 @@
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+# Now maintained by B. Watson <urchlay@slackware.uk>
+
+# 20230706 bkw: update for v1.46, disable 'make test' by default.
+# 20230109 bkw: update for v1.45.
+# 20210802 bkw: take over as maintainer and upgrade for v1.42.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=perl-Term-ReadLine-Gnu
-VERSION=${VERSION:-1.37}
+VERSION=${VERSION:-1.46}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -34,9 +40,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -46,20 +49,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
rm -rf $PKG
@@ -69,29 +58,30 @@ rm -rf $SRCNAM-$VERSION
tar xovf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+# 20230706 bkw: 'make test' disabled by default because it hangs when
+# run in the background.
perl Makefile.PL \
INSTALLDIRS=vendor \
INSTALLVENDORMAN1DIR=/usr/man/man1 \
INSTALLVENDORMAN3DIR=/usr/man/man3
make
-env INPUTRC=/dev/null make test
+[ "${MAKETEST:-no}" = "yes" ] && env INPUTRC=/dev/null make test
make install DESTDIR=$PKG
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-
-find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+gzip -9 $PKG/usr/man/man?/*
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f || true
find $PKG -depth -type d -empty -delete || true
+find $PKG -name '*.so' -a -exec strip {} \+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changes README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes* README* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.info b/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.info
index 405d6a0b9b..e8f6873ff5 100644
--- a/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.info
+++ b/perl/perl-Term-ReadLine-Gnu/perl-Term-ReadLine-Gnu.info
@@ -1,10 +1,10 @@
PRGNAM="perl-Term-ReadLine-Gnu"
-VERSION="1.37"
+VERSION="1.46"
HOMEPAGE="https://metacpan.org/pod/Term::ReadLine::Gnu"
-DOWNLOAD="https://cpan.metacpan.org/authors/id/H/HA/HAYASHI/Term-ReadLine-Gnu-1.37.tar.gz"
-MD5SUM="3d85d964624dd2ead132b7e0f861a939"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/H/HA/HAYASHI/Term-ReadLine-Gnu-1.46.tar.gz"
+MD5SUM="2366b082ddcc63cd5a3ac6989b16425f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="orphaned - no maintainer"
-EMAIL="nobody@nowhere"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/perl/perl-Term-ReadLine-Gnu/slack-desc b/perl/perl-Term-ReadLine-Gnu/slack-desc
index 026e0af964..df95f0038b 100644
--- a/perl/perl-Term-ReadLine-Gnu/slack-desc
+++ b/perl/perl-Term-ReadLine-Gnu/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
perl-Term-ReadLine-Gnu: perl-Term-ReadLine-Gnu (line-editing and history capabilities)
perl-Term-ReadLine-Gnu:
-perl-Term-ReadLine-Gnu: Term::ReadLine::Gnu provides functions for use by interactive programs
-perl-Term-ReadLine-Gnu: that allow users to edit command lines as they are typed in. The
-perl-Term-ReadLine-Gnu: module includes additional functions to maintain a list of
+perl-Term-ReadLine-Gnu: Term::ReadLine::Gnu provides functions for use by interactive Perl
+perl-Term-ReadLine-Gnu: programs that allow users to edit command lines as they are typed
+perl-Term-ReadLine-Gnu: in. The module includes additional functions to maintain a list of
perl-Term-ReadLine-Gnu: previously-entered command lines, to recall and perhaps reedit those
perl-Term-ReadLine-Gnu: lines.
perl-Term-ReadLine-Gnu:
-perl-Term-ReadLine-Gnu: For more info, visit: https://metacpan.org/release/Term-ReadLine-Gnu
+perl-Term-ReadLine-Gnu:
perl-Term-ReadLine-Gnu:
perl-Term-ReadLine-Gnu: